# object-compact [![NPM version][npm-image]][npm-url] [![Build Status][travis-image]][travis-url] [![Dependency Status][daviddm-image]][daviddm-url] [![Coverage percentage][coveralls-image]][coveralls-url]
> remove null/undefined values recursively from objects

## Installation

```sh
$ npm install --save object-compact
```

## Usage

```js
const objectCompact = require('object-compact');

objectCompact({
  bar: 'Hello',
  baz: null,
  foo: {
    bar: 'World !',
    baz: null
  }
});
/*
=>
{
  bar: 'Hello',
  foo: {
    bar: 'World !'
  }
}
*/
```
## License

MIT © [Gabriel](https://wombak.xyz)


[npm-image]: https://badge.fury.io/js/object-compact.svg
[npm-url]: https://npmjs.org/package/object-compact
[travis-image]: https://travis-ci.org/gabrielperales/object-compact.svg?branch=master
[travis-url]: https://travis-ci.org/gabrielperales/object-compact
[daviddm-image]: https://david-dm.org/gabrielperales/object-compact.svg?theme=shields.io
[daviddm-url]: https://david-dm.org/gabrielperales/object-compact
[coveralls-image]: https://coveralls.io/repos/gabrielperales/object-compact/badge.svg
[coveralls-url]: https://coveralls.io/r/gabrielperales/object-compact
